ID Tracker

ID Tracker III

David M. Hitchner - Copyright © 2010-2018

ID Tracker Web Site ID Tracker FAQ

Disclaimer

The program is freeware designed to extend the capabilities of trunking scanners. I designed it for my personal use and thought others may get some use from the program. Therefore, use this program at your own risk. By downloading, installing, and using ID Tracker you assume full responsibility for its use and hold no claim of liability against the author. The author does not guarantee the functionality of this program or that it will be supported.

Features

  • Supports scanners:
    PSR-500/600, PRO-106/197, BCT8, BCT15, BCT15X, BC250D, BC296D, BR330T, BC346XT, BCD396T, BCD396XT, BCD436HP, BCD536HP, BC780XLT, BC785D, BC796D, BC898T, BCD996T, BCD996XT (also, non-US versions of these scanners)

  • Supports Motorola Type I, Type II, Type IIi, EDACS, EDACS SCAT, LTR and Motorola P25 trunked systems.

  • Supports monitoring multiple systems.

  • Supports recording of scanner audio to WAV files with time and date indexes.

  • Supports tracking and labeling of Unit IDs (Radio IDs).

  • Provides a method of performing ID limit searches.

  • Provides unlimited talkgroup and frequency tags.

  • Provides unlimited lockouts.

  • Efficient code requiring minimal processor usage.

  • Multiple copies can be installed to support multiple scanners simultaneously.

  • Multiple sound cards supported.

  • Scanner control from the PC.

Program Description

The program when started will immediately begin communicating with the scanner and attempt to read the system types and alpha tags for all systems. Once this is done, the program will then begin to monitor the scanner for trunk IDs. The program does not override the currently selected scan/search modes or system selection. It simply provides a method of tracking ID and alerting you to potential new or unidentified IDs. Another use of the program is to extend the ID tags beyond the limits of the scanner when in search mode.

Note: If the debug is displayed, go to the Global Settings screen and make sure that the program's communications settings match the settings of the scanner.

When the scanner locks on a trunk ID, the program will search it's list of IDs and display them on the main screen. If ID is not in ID Tracker's list, the program will attempt read the tag from the scanner. If the ID list is enabled, the ID will be added to the list once the ID becomes inactive. IDs may also be logged to a file.

To stop the tracking, click on the stop button and the button text will change to "Track" when the program has stopped tracking. Tracking can be resumed by clicking on the "Track" button. To exit the program, simply click on the "X" in the top left corner. Any changed data will be saved at this time.

Scanning multiple systems is supported. When tracking, the program determines the current system and identifies the IDs appropriately.

Function Keys

To display this help file in ID Tracker, press the F1 key on any screen.

ID Tracker provides the following keyboard functions:

Function Key | Description
F1 | Display the help file.
F2 | Start / Stop Tracking
F3 | Identify / Display Settings
F4 | Toggle List Display
F5 | Enable Recording
F6 | Disable Recording
F7 | Enable Logging
F8 | Disable Logging
F9 | Toggle Spectrum Display
F10 | Display the Quick Reference
F11 | Display the About screen.
F12 | Display the debug screen.

Control Keys

When the program is used, the scanner's control keys remain fully functional. The program provides minimal control of the scanner from the computer. These keys are functional only when tracking and may not respond immediately so please be patient. Also, all keys may not work with all scanners.

Computer Key | Scanner Key
0 - 9 | 0 - 9
Enter | E/Enter
. (Decimal Point) | . (Decimal Point)
Up Arrow | Up
Down Arrow | Down
D | Data
H | Hold
I | Identify ID (Same as ID Button)
L | L/O
M | Manual
P | Program Scan
R | Resume
S | Search
T | Trunk
W | Weather
Esc | Menu
Delete | Clear ID List Display

Please note that the keyboard functions may be disabled in the System Settings.

ID Alerts

ID Tracker provides two types of alerts. New ID and priority alerts. Each alert will play a WAV file or the system's "Exclamation" sound if a WAV file is not defined in the Global Settings screen. Alerts can be enabled or disabled for each system in the System Settings screen.

New ID Alert - If an ID is new or marked as unidentified, ID Tracker will alert the user.

Priority Alert - Individual IDs can be marked as a priority ID to alert the user.

Logging

The program gives you the option to log none, all or only new IDs to a file. To use this feature, go to the Global Settings screen and select the appropriate logging options.

Recording

Scanner audio can be recorded to WAV files. This allows you to capture audio while you are away from your scanner. The audio for each ID or frequency can be listened to later in compressed time.

Data Import

Existing data may be imported using the Import / Merge feature.

I-Call Support

ID Tracker provides I-Call tracking support.

Track and Log Service and Custom Searches

ID Tracker provides support for search tracking.


ID Tracker - Main Screen

Main Screen

File Menu - The File pull down menu contains the following menu items:

Audio Player - Displays the ID Tracker Audio Player.
Audio Peak Meter - Displays the record level meter and audio spectrum analyzer.
Daily Logs - Displays a list of daily logs for viewing.
ID List - Opens or closes the ID List.
Scanner Control - Opens or closes the Scanner Control screen.
Spectrum View - Opens or closes the Spectrum View screen.
Systems - Allows quick access system settings.
Settings - Opens the Global Settings screen.
Help - Opens this help file.
Quick Reference - Displays the keyboard quick reference.
About - Displays information about the application.
Exit - Stops scanning and closes ID Tracker.

Main Display (Right-Click) - Right-Clicking on the main display will display the following menu items:

Always on Top - Forces the display to remain on top.
Recording - Enables audio recording.
Logging - Enables file logging.
Clear All - Resets all hit counts in all systems and clears the ID list.
Clear List - Clears the ID List.
Reset All Counts - Resets all hit counts in all systems.

Active Frequency - This is the frequency currently being monitored by the scanner.

Additional Info - The field will display the time the last ID became active or the Motorola Type II ID type if it is a special ID type. It will also display the current time and scanner status when scanning or searching.

Backlight - Toggle the scanner backlight.

Contact - Time and date of the first contact. The first contact time is set when a new ID or frequency is encountered for the first time (hit count = 0). This value can be reset in the System Settings. Clearing the hit count and contact date will allow a new contact date to be captured.

Hit Count - The number of times the ID has been active.

ID List - This lists recently monitored IDs or frequencies. By default, IDs are displayed beginning with the most recent at the top of the list. Double-clicking on an ID will display the System Edit screen for the selected ID. Right clicking on the list will display the following popup menu items:

Identify - Identify the selected ID.
Delete Entry - Delete the selected list entry.
Clear List - Clear the entire list.
Copy List - Copies the entire list to the paste buffer.
Report - Creates a printable report of the ID List.
Save List to File - Saves the current list to a comma separated text file (CSV) or a tab delimited text file.
View Log - Displays the Log Viewer for the selected system filtered on the selected ID.

ID List Header - Clicking on the list header will sort the list by the selected column. Repeated clicking will toggle the sort order between ascending and descending. Right-clicking on the header displays a menu to define the visible columns as well as the alignment of the selected column.

Record Indicator - Turns red when audio is being recorded to a WAV file.

Signal / Activity - Indicates signal strength or activity on the current frequency or ID.

System Indicators - Indicates the active and loaded systems. The indicators are based upon system's or site's Quick Key. Right-Clicking on a system indicator displays a recording menu for that system. This allows you to easily change the recording settings for individual systems while tracking. These are the same as the record options in the System Settings screen. In addition to the record options, the following items are available:

Edit System - Identify the selected ID.
View Log - Displays the Log Viewer for the system.

System Name - This is the system currently being monitored and the tag associated with that system. The system names are obtained from the scanner.

Time / Date Stamp - The time the ID or Frequency was last active.

Track / Stop Button - This button starts and stops scanner monitoring.

Tracked ID or Frequency - The current or most recent ID monitored. If the ID is active, the ID will be displayed in bold text.


ID Tracker - Global Settings

Global Settings

The Settings Screen allows program configuration and the setting of program options.

Sections: | Program
 | Scanner
 | Display
 | Logging / Recording
 | Sounds
 | Systems
 | System Control
 | Bank Mapping

Program

Auto Start - Enables or disables the automatic tracking at program startup.

Close Call Bug Fix - Placing the scanner in hold mode or in Close Call Priority mode will disable recording until the next transmission. This is due to the scanner not reporting the correct status (Uniden protocol GLG command). The problem has been observed on the BCD996T but could affect other scanners. Enabling this option provides a workaround but could cause potential side effects. This is especially true for LTR systems. Please use with caution.

EDACS Format - Selects the display format for EDACS systems. The options are AFS (Agency Fleet Subfleet), Hex (hexadecimal), or Dec (decimal). The Hex and Dec formats are provided so IDs can be made to match the IDs in the ETrunk program.

Enable Debug Popup - When checked, the debug window will automatically pop up when certain applications errors occur. The debug window can be disiplayed at any time using the F12 key.

Include Groups - When an ID is encountered that ID Tracker does not have in it's system list, ID Tracker attempts to read the ID tag from the scanner. If this option is enabled, the program will also attempt to include the system group name. Example: Group - ID Tag

Resume on System Load - Enables or disables the resume function after ID Tracker loads the system information from the scanner. In order to read system information from the scanner, the scanner must be temporarily placed in program mode. This halts all scanning operations. To overcome this, ID Tracker can send a resume command to the scanner to restart scanning.

Save Data Interval (min) - Sets the number of minutes between data saves. This option is to prevent data losses due to system shutdowns, crashes, etc. When the specified number of minutes has expired, ID Tracker will wait until there are no scanner activity then save any changed data. Setting this value to 0 will disable this feature.

Scanner

Baud Rate - Sets the serial port speed for communications with the scanner. This setting must match the settings of the scanner.

Disable Keyboard Control of Scanner - Disables the use of the computer keyboard to control scanner functions. Other keyboard functions are not disabled.

Port - Sets the serial port connected to the scanner.

Reload GRE Image - In order to properly follow a GRE scanner, ID Tracker requires a copy of the current scanner image. Checking this box will force ID Tracker to download a new scanner image after the scanner has been reprogrammed.

Type - Sets the type of scanner.

Use Flow Control - Enables or disables DTR/RTS flow control on the serial port. This setting is available for Uniden scanners only. It is recommend that this setting be enabled unless ID Tracker is unable to communicate with the scanner.

Display

Always on Top - Keeps the main display on top of other windows. This setting is available while tracking on the main screen.

Balloon Tips - Sets the display of balloon tip when the Show in System Tray option is selected. The format of the ballon tips is controlled by the Title Bar / Balloon Tip Format selection. If no format is specified then the ID and description is displayed.

Form Colors - Selects Foreground and Background colors for ID Tracker forms. Clicking on the Default button will restore ID Tracker to it's original settings.

ID Hold Time - Specifies the amount of time in seconds the ID information will remain displayed once an ID goes inactive. A time of 0 to 60 seconds can be specified. A value of -1 will hold the ID until the next active ID.

List Time Format - Selects the date/time format for entries in the ID List. The default format "yy/mm/dd hh:mm:ss" will guarantee proper sorting by date and time. Other formats can affect the sort of the list. Changing the format requires ID Tracker to be restarted before the results will be seen.

Minimize Controls - When checked, the scanner control window will be minimized and restored with the main display. When unchecked, the scanner control can be minimized and restored independent of the main display.

System Indicator Rows - Sets the number of indicator rows to be displayed. The default value is 1. Setting this value to 0 will disable indicator rows.

Show in System Tray - When enabled ID Tracker displays an icon in the system tray instead of being displayed on the task bar.

System Indicator Rows - Sets the number of indicator rows to be displayed. The default value is 1. Setting this value to 0 will disable indicator rows.

Title Bar / Balloon Tip Format - Selects the information displayed in the title bar when Title Bar Style is set to User Format. This also sets the format for balloon tips. The title bar format is defined in the left list box. The desired fields can be selected from the list on the right. The order of the fields can be changed by selecting the desired field and clicking on the up or down buttons.

Title Bar Hold - Determines whether ID or frequency information will remain in the title bar after the ID goes inactive. The ID Hold Time rules apply.

Title Bar Style - Sets the title bar to the Standard or User Format display mode.

Translate Unit IDs - When enabled, ID Tracker will replace the UID (Radio ID) with the description if one has been specified.

Unidentified - Sets the color used for displaying unidentified IDs.

Logging / Recording

Audio File Rollover - When enabled, audio files will span across multiple days. When disabled, a new file will be created at the start of each day. All rules for the setting Maximum Record Time are still followed regardless of the Audio File Rollover setting. Disabling this setting and setting the Maximum Record Time to 0 has the result of creating one audio file per day.

Logging Enabled - When checked, this enables the logging of IDs to a file. Each bank to be logged must also be enabled. This setting is available while tracking on the main screen.

Max. Rec. Time - Sets the maximum record time in minutes for individual audio files. Acceptable values are from 10 to 600 minutes (10 hours). Once the audio file exceeds the set time, the audio file is renamed and a new audio file is started. No audio is lost since this function simply creates multiple audio files for the same ID. The Audio Playback dialog will display and play all audio files for an ID. To create a new file the start of each day, please see the Audio File Rollover setting.

This option is meant to improve recording performance. As audio files become larger, the system takes longer to open and close the file reducing performance. A 30 minute audio file recorded at 8000 Hz requires a file size of about 15 megabytes.

A value of zero (0) disables this function and all audio will be recorded in a single file.

Playback Device - Selects the device to be used for audio playback. This setting provides support for multiple sound cards.

Playback Timer - This sets the update rate when playing audio in the Audio Playback screen. This value can range from 10 to 1000 milliseconds. If you experience problems during audio playback, try setting this value to a higher level.

Record Device - Selects the device to be used for recording. This setting provides support for multiple sound cards.

Recording Enabled - Enables or disables the recording of scanner audio to WAV files. Each bank to be recorded must also be enabled. This setting is available while tracking on the main screen.

Set Record Level - Enables a constant recording level by adjusting the scanner volume. This feature will not work for all scanner types. If enabled, the Setting field must be set. Either 1 to 15 or 1 to 29 depending on the scanner type.

Sample Rate - Sets the sampling rate for audio recording. The lowest acceptable value should be used to conserve disk space. Setting the value too high with too little available disk space could cause system problems due to no or very low disk space.

Setting - Set the fixed recording level. If the scanner is connected, the Get Current button can be used to get the volume level from the scanner.

Single Audio File - If enabled, all audio is placed in a single file and ID information is placed in the comment section of the audio index. In the Audio Playback screen, the "Identify" button will be disabled for single audio file recordings. You will be able to edit audio comments but will not be able to tag UIDs.

If disabled, an audio file is created based on each system's settings. When enabled, this setting overrides the Single Audio File for System setting.

Sounds

Priority Alert - Sets the WAV file to be played for Priority IDs.

New ID Alert - Sets the WAV file to be played when an New or Unidentified ID is encountered.

Systems

All Systems - When checked, all systems will be displayed in the system list regardless of the system's Display in List setting. The Display in List setting has no function other than allowing the user to filter the systems displayed in the Systems list.

Data Path - This sets the folder for storing data files. This allows a user to maintain multiple data sets and can be useful for scanning in different locations. The default value is a subfolder of the application folder named "DATA". The dropdown list will save previously created data paths for quick recall.

Clear - Clear all IDs from the selected system.

Delete - Deletes the system from ID Tracker along with all associated audio and log files.

Edit - Displays the System Settings for the system selected in the list.

Reset Counts - Resets all hit counts for all banks.

System Control
(GRE and TrunkTracker IV Scanners Only)

The System Control tab allows the user to override the captions in the System Control form. Checking the "User" column will override the default caption with the text specified in the "Title" column.

Display Rows - Sets the rows to be displayed on the System Control form. The default setting is 1.

Valid Settings

Scanner Type

 Min. Rows Max. Rows
TrunkTracker III | 1 | 1
TrunkTracker IV | 1 | 10
GRE | 1 | 2

Bank Mapping
(TrunkTracker III Scanners Only)

Bank Mapping allows ID Tracker systems to be associated with one or more scanner banks. This allows you to have a system loaded in multiple banks on the scanner while still maintaining single system file.


ID Tracker - System Settings

System Settings

The System Settings screen allows IDs or Frequencies to be modified or removed as well as changing system wide settings.

Sections: | Tracking
 | Lockouts
 | Recording
 | Logging
 | ID / Frequency Edit
 | IDs / Frequencies
 | Importing / Merging

File Menu

  • Save - Saves changes.
  • Import - Displays file import dialog.
  • RR Import - Displays Radio Reference import dialog.
  • Reports - Creates printable reports. Currently the only report available is ID/Frequency List.

Find: - Searches the ID/Frequency list for the specified text.

Reset Menu

  • Colors - Resets all ID/Frequencies colors to the defaults.
  • Counts - Resets all ID/Frequencies hit counts to zero (0).

System - Displays the current system being modified.

System Type - Displays the type of system being modified.

Display in List - This option determines whether the system is displayed in the systems list in Global Settings.

Conventional - This function is for TrunkTracker III type scanners. Due to that capability of allowing conventional and trunked systems in the same bank, it is sometimes necessary to force the bank to a conventional system to function properly.

Tracking

Alerts - Enables or disables Alerts. The following alert modes are available:

  • None - Disables alerts for the selected system.

  • Unidentified - Plays a sound when an unidentified ID or frequency becomes active.

  • Priority - Plays a sound when a priority ID or frequency becomes active.

  • Unidentified & Priority - Plays a sound when a priority or unidentified ID or frequency becomes active.

ID Limits - Enables the ID limits for the selected system. One or more ID limit ranges must be added to the list using the Add, Edit and Delete buttons below the checkbox. This function should be used when the scanner is in ID search mode. Enabling the muting function will prevent short pieces of audio from being heard as the scanner encounters IDs outside the specified limits.

This function can be thought of as an ID limit search. Any IDs that are not within the specified limits ranges will be skipped. This function can also be used in conjunction with the Resume on Identified function to monitor only unidentified IDs within a given range.

Priority Hold - When set greater then zero (00:00), ID Tracker will force the scanner to hold on any ID/Frequency marked as "Priority" for the specified time after the last transmission has ended. This allows for a greater chance of catching the response on high priority entries.

Separate Audio - When set along with the Track Squelch option, ID Tracker will attempt to create separate audio files for each unique squelch code (CTCSS, DCS, NAC) in conventional systems. Separate audio files will only be created if the squelch code is available as soon as the frequency is active on the scanner. If the squelch code is not available, audio will be placed in standard frequency audio file. Note: The squelch code is usually only available on frequency activation when the squelch code is programmed into the scanner.

Track Squelch - When set, ID Tracker will create separate entries for each unique squelch code (CTCSS, DCS) in conventional systems. This allows each squelch code to be identified and tracked. The CTCSS/DCS Tone Search must be enabled on the scanner to track squelch codes. This option is only valid for conventional tracking.

Status Bits - When this option is set, Motorola Type II IDs with status bits will be treated as unique IDs. The status bits must be enabled on the scanner. When this option is disabled, the status bits are stripped and all IDs will be displayed in multiples of 16 regardless of the scanner's setting. Please see your scanner manual for more information.

Skip Encrypted - When set, ID Tracker will force the scanner to resume scanning if an encrypted digital signal is encountered.

Lockouts

Auto Lockout - Automatically locks out identified IDs or frequencies. This function can be used to reduce the number of IDs the scanner locks on to when searching for new IDs. The locked out IDs will be locked out by the scanner or stored in ID Tracker's lockout list depending on the Scanner Lockout setting.

Locked Out IDs - Displays ID Tracker's lockout list. This list is maintained to support software lockouts.

Resume on Identified - Resumes scanning or searching on IDs that have been marked as identified. Enabling the muting function will prevent short pieces of audio from being heard as the scanner encounters identified IDs.

Notes:

When using this feature you should make sure that all enabled systems are either scanning or searching. Do not use with one or more systems scanning and other systems searching.

TrunkTrackers will sometimes lock on invalid IDs. For example, an ID will be displayed and appear to be valid but the displayed ID is incorrect. Use of the "Resume on Identified" function may increase the chances of the scanner locking on an invalid ID.

Scanner Lockout - When Auto Lockout or Time Lockout is set, this function sends a lockout command to the scanner. This is the same as pressing the lockout key on the scanner. Locked out IDs / frequency must be restored using the scanners keyboard. Please see your scanner manual regarding this. When disabled, the ID Tracker uses software lockouts by maintaining a list of locked out IDs. Enabling the muting function will prevent short pieces of audio from being heard as the scanner encounters locked out IDs.

Time Lockout - When checked, this option will automatically lock out IDs or frequencies that remain active longer than the Timeout value. The locked out IDs will be locked out by the scanner or stored in ID Tracker's lockout list depending on the Scanner Lockout setting.

Time Out - Values greater than 0 will force the scanner to continue scanning if the ID or frequency is active for longer than the set time. The value specified is in seconds. Setting this value to 0 will disable this feature.

Recording

The following recording modes are available:

  • Record None - Disables recording for the selected system.

  • Record All - Enables recording of all IDs or frequencies.

  • Record Identified - Enables recording of identified IDs or frequencies.

  • Record Unidentified - Enables recording of unidentified IDs or frequencies.

  • Record Priority - Enables recording of IDs or frequencies marked as priority ID.

  • Record Identified & Priority - Enables recording of IDs or frequencies marked as identified or priority ID.

  • Record Unidentified & Priority - Enables recording of IDs or frequencies marked as unidentified or priority ID.

Any audio segments shorter than the Minimum Log Time will not be saved. See recording notes for more information.

Use Audio Level Detection - When checked, if a recorded audio segment does not exceed the specified audio level, the segment will be discarded. You must specify the level in the range of -3 to -24 dB. Being defined on a per system basis allows each system to have it's own setting. This is useful for eliminating silent transmissions.

Single Audio File for System - If enabled, all audio for the system is placed in a single file and ID information is placed in the comment section of the audio index. In the Audio Playback screen, the "Identify" button will be disabled for single audio file recordings. If disabled, an audio file is created for each ID or frequency. The global setting, Single Audio File overrides this setting.

Logging

Type - Sets the type of logging to use.

  • System Log - All log entries will be written to a single specified log file.
  • Daily Log - All log entries will be written to a daily log file. All systems set to this type will be written to the same file and can be viewed from the file menu. A new file will be created each day.

Mode - Enables / Disables logging for the current system. See recording for the list of available modes.

Log File - Sets the path and filename for the log file. You can use the Browse button to set this parameter. The log file format can be found here. This option is disabled when the log type is set to 'Daily Log'.

Minimum Log Time - This value sets the minimum amount of time an ID must be active to be written to the file and displayed in the ID list. Setting this value helps reduce false hits. A value of 0 disables this feature. This value also affects the recording function.

View Log - Displays the Log Viewer associated with the current system. This option is disabled when the log type is set to 'Daily Log'.

NOTE - Log files should be periodically cleared for performance reasons. Excessively large log files could result in sluggish performance.

IDs / Frequencies

This section allows the editing of IDs or frequencies of a given system. Each ID or frequency can be edited directly in the grid or selecting more than one row allows the user to set the Identified and/or Priority status as well as the ID color for multiple entries at a time. Additional IDs or frequencies can be added using the blank row at the bottom of the grid.

Comments - This field provides additional storage for comments or other additional information to aid in the identification of the ID or frequency. Any comments added will be displayed as a tool tip for the description on the main screen when the ID is active.

Clear - Clears/resets the First Contact date.

Delete - Deletes the currently selected IDs.

Description - This field is the description that will be displayed for the ID or frequency.

ID Color (A) - This button displays the color picker to set the text color of the selected ID.

Identified - Marks the selected ID as being Identified. This setting affects recording and ID alerts.

Priority - Marks the selected ID as being a Priority ID. This setting affects recording and ID alerts. This also applies to the Priority Hold feature.

Sites - Displays the sites on which the ID has been active. This field is useful only for scanners that support multiple sites per system.

Reset Counts - Resets the "hit counts" for all IDs in the system.

Reset Colors - Resets ID colors for all IDs in the system.

Importing

ID Tracker provide two methods of import. Either by importing a data file or importing data from the Radio Reference website.

Import - This button displays the File Import form.

RR Import - This button displays the Radio Reference Import form. Use of this function requires a Premium subscription to the Radio Reference web site.


ID Tracker - File Import

File Import

The File Import allows users import data contained in text files into ID Tracker. These files can be fixed length fields or character delimited fields. This form allows users to create and save import configurations for future use.

File Menu

Open Import File - Loads the data from the selected file.

Open Configuration - Loads a pre-defined import configuration file.

Save Configuration - Saves the current import configuration.

Save Configuration As - Saves the current import configuration using a different name.

Edit Menu

Paste - Pastes data from the system's paste buffer into the grid. This can be data copied from spreadsheets, web pages, text files, etc. The data is interpreted based on the current import configuration.

Delete Rows - Deletes selected rows from the import grid.

Clear Data - Clear all loaded data from the import grid.

Import Configuration

Import Mode - This setting allows 2 modes of import. "Add New Only" adds only new IDs or frequencies to the current system. Existing IDs or frequencies will not be overwritten. "Replace Existing" will replace any existing entries as well as add any new entries.

Fixed Width - Sets the import format to fixed width fields. Each column width must be defined by the user by selecting a column, entering the desired column width and clicking on the "Set Width" button.

Delimited - Sets the import format to a character delimited fields. The delimiter options are specified in the Delimiters frame.

Import Grid

This import grid displays the currently loaded data. The arrangement of the grid is based on the current import configuration. Changing the import configuration will update immediately the grid display. The minimum requirements are that the ID / Frequency and description must be defined for the entry to be imported.

Column Assignment - Right-clicking on the import grid's column headings will display a context menu with a list of available field definitions. Selecting a field will assign the current column to the respective ID Tracker field.

None - Not assigned to any field.
ID / Frequency - ID or Frequency - This should match the format of the current system.
Squelch Code - CTCSS, DCS or NAC code.
Description - ID or Frequency description.
Comment - Additional comments.
Identified - Flags the ID as being identified entry. This should be in the form of 1 or 0, Y or N, etc.
Priority - Flags the ID as being a priority entry. This should be in the form of 1 or 0, Y or N, etc.
Flags - This is directly translated in to the ID Tracker bitmapped flags field.
  • Unidentified = 1
  • Identified = 2
  • Priority = 4
Color - Defines the ID's color. This value is in the ARGB format.


ID Tracker - Radio Reference Import

Radio Reference Import

The Radio Reference Import allows users with a Radio Reference Premium subscription to directly import data from the Radio Reference (RR) web site. Trunked system or agency information is displayed in area provided at the bottom of the form. Once displayed, the user can select all or parts of the information for import into ID Tracker.

Tip - If you know the Entity ID, Agency ID or System ID, you can simply enter the ID and click on the associated Retrieve button to get the system information.

Username - Radio Reference login username.

Password - Radio Reference login password.

Save Password - Saves your login password for future import sessions.

Import Mode - This setting allows 2 modes of import. "Add New Only" adds only new IDs or frequencies to the current system. Existing IDs or frequencies will not be overwritten. "Replace Existing" will replace any existing entries as well as add any new entries.

Countries - Provides a list of countries available from the RR website. Clicking on the Retrieve button next to this list will populate the list from the RR website.

States/Provinces - Provides a list of state or provinces in the select country. Selecting an entry from this will build a list of counties within the region as will as provide a list of system and agencies in the region.

Counties - Provides a list of counties or sub-regions within a state or province. Selecting an entry from this will build a list of entities, systems and agencies within the county or sub-region.

Entities - Provides a list of entities within a county or sub-region.

Systems - Provides a list of trunked radio systems within the selected region or sub-region. Selecting a system will set the System ID which can then be used to retrieve the system information.

Agencies - Provides a list of agencies within the selected region or sub-region. Selecting an agency will set the Agency ID which can then be used to retrieve the agency information.

System ID - The RR trunked system ID. This value can be entered directly if known or by selecting the Country, State/Province, County and System. Once an ID is entered, the system information can be retrieved by clicking on the "Retrieve" button next to this field.

Agency ID - The RR agency ID. This value can be entered directly if known or by selecting the Country, State/Province, County and Agency. Once an ID is entered, the agency information can be retrieved by clicking on the "Retrieve" button next to this field.


ID Tracker - Audio Playback

Audio Player

The Playback Screen allows the playback of recorded audio files. You may see same the ID with multiple files. This is due to the maximum record time setting.

Audio File List Header - Clicking on the list header will sort the list by the selected column. Repeated clicking will toggle the sort order between ascending and descending. Right-clicking on the header displays a menu to define the visible columns.

Menu

Continuous - When set to ON, playback will automatically move to the next audio file when the end of an audio file is reached. When set to OFF, playback will stop at the end of an audio file.

Search - Enables or disables Audio Search.

Set Folder - Sets the folder where playback screen searches for audio files.

Set to Default Folder - Restores the folder back to the ID Tracker default audio folder.

Single Segment - Enables or disables the single segment mode. When enabled, double-clicking on an audio segment will play only the selected audio segment. When disabled, double-clicking will start at the selected audio segment and continue to the end of the audio file.

View Folder - Opens an Explorer window displaying the WAV and index files.

Controls

Audio Files - This is a list of files in the audio folder and their sizes. Audio files can contain multiple segments. You can double-click on a file to begin playing. You can also select selected multiple files by clicking in combination of the shift or control keys for selected play.

Context Menu (Right-Click) - The context menu for the audio files contains the following menu items:

Play Selected - Plays all files currently selected in the list. Selected play can also be accomplished by holding the shift key while clicking the Play button.

Copy List - Copies the text of the audio file list to the paste buffer. Columns are tab separated for easy pasting into a spreadsheet.

Sort by Identified - Sorts the list by the 'Identified' status of the ID or frequency.

Sort by Priority - Sorts the list by the 'Priority' status of the ID or frequency.

Delete - Deletes the selected WAV files and their associated index files. Hold the Shift key to delete without confirmation prompt.

Identify - Displays the Identification screen for the selected ID.

Index List - This displays the index of segments for the selected audio file. The list displays the date, time and length of each segment. Double-clicking on a segment will play the selected segment.

Lockout - Locks out the currently selected ID / Frequency and optionally deletes the currently loaded audio file. This is only valid for systems that do not have the Scanner Lockout function enabled.

Refresh - Refresh updates the audio file list.

Audio Segments

The audio segments frame displays an index of the currently selected audio. Double-clicking on the index will start playback at the selected row. Right-clicking on the index displays a context menu.

Context Menu (Right-Click) - The context menu for audio segments contains the following menu items:

Copy List - Copies the text of the audio segment list to the paste buffer. Columns are tab separated for easy pasting into a spreadsheet.

Copy Comments - Copies currently select audio comments to the paste buffer.

Time Search - Sets the date and time of the Audio Search using the currently select item and begins searching.

Search Selected UIDs - Search audio files for the UIDs in the currently selected comments.

Search All UIDs - Search audio files for the all UIDs in the current audio segments.

Playback Controls

Comment - Adds a comment to one or more audio segments. This also allows Unit IDs (Radio IDs) to be labeled.

Cut Segment - Removes the selected segment(s) from the audio file. If all segments are removed, the entire file will be removed. Hold the Shift key to delete without confirmation prompt.

Fast Forward - Moves the audio position forward 5 seconds.

Loop - Repeatedly plays (loops) the currently selected audio segment or segments. If no segments are selected, the currently active segment is played. This function is useful for attempting to resolve hard to hear or understand communications.

Next Segment - Moves the audio position to the next segment.

Play - Begins playing the audio file from it's current position. Holding the shift key starts playing all currently selected files in the list. Clicking again with the shift key will cancel selected play. See also the Play Selected context menu item.

Position Slider - Moves the current audio pointer quickly to any position in the file.

Previous Segment - Moves the audio position to the previous segment.

Reverse - Moves the audio position back 5 seconds.

Rewind - Moves the audio position to the beginning of the file.

Stop - Stop playing the file.

Volume - Adjusts the computer's main volume level.

Indicators

Audio Time - Indicates the current position in time of the audio file. The first value is the position in the current segment. The second value indicates the position in the file. The third value displays the total length of the audio file.

Segment Position - Indicates the current segment in the audio file. The position is indicated by an arrow in the audio segment list. Double clicked on any segment will immediately set the audio position to the beginning of the selected segment.

Audio Search

The Audio Search allows you to search for audio within a specified time window or by one or more Unit IDs. Double-clicking on entries in the grid will load and play the selected item. Right-clicking on the audio segments will displays a context menu to provide quick searches.

Date - Sets the date for the search window.

Time - Sets the time for the search window.

- - Sets the number of minutes and seconds (mm:ss) to search before the specified date and time.

+ - Sets the number of minutes and seconds (mm:ss) to search after the specified date and time.

Use Current - Populates the Date and Time fields with the date and time of the currently selected audio segment.

Unit ID - Sets one or more Unit IDs to search for. Examples: "119246" or "119246,119353"

Talkgroup Filter - Sets audio file talkgroups to search. If not blank, the search will only search the talkgroups specified. This applies to time and Unit ID searches. Example: "1024" or "1024,1025" or "1024-1034" or "1024-1034,5000-6000"

Time (checkbox) - Selects time based search. Can be used in combination with the Unit ID search.

Unit ID (checkbox) - Selects Unit ID based search. Can be used in combination with the Time search.

Search - Starts search.


ID Tracker - Spectrum View

Spectrum View

Spectrum.gif (6541 bytes)

The Spectrum View screen graphically displays frequencies and strength of tracked signals. Each system or bank can be assigned a different color. Settings allow the user to change the way the signals are displayed.

Settings

Peak Hold - With this option enabled, the peak signal is held for each frequency. When disabled, the current signal strength is displayed.

Signal Hold - With this option enabled, each frequency remains displayed at it's last signal strength. When disabled, the signal is erased.

Colors - Allows colors to be assigned to the individual banks.

Line Width - Allows the width of the signal lines to be adjusted.


Audio Peak Meter and Spectrum An

Audio Peak Meter and Spectrum Analyzer

The Audio Peak Meter and Spectrum Analyzer allows you to view the record level. This can be enabled or disabled from the main ID Tracker menu. The Record Threshold indicator displays the audio level required before ID Tracker will save a transmission when Audio Level Detection is enabled. This is set in System Settings.

The spectrum analyzer can be enabled or disabled by right-clicking on the meter. The analyzer has 3 display modes: Solid, Line and Dots


ID Tracker - Log View

Log Viewer

The Log Viewer allows viewing of ID Tracker log files. In order to create log files, logging must be enabled in the Global Settings, a log file must be specified for the system to be logged and the logging mode must be set for the system.

The viewer can be accessed using a number of different methods.

  • Right-clicking on a System Indicator.
  • Right-clicking in the ID List.
  • Clicking on the View Log button in the System Settings form.

NOTE - The viewer expects the log file to be in the latest ID Tracker log file format. If this format is changed between versions of ID Tracker it may be necessary to delete or clear older log files to be viewed properly.

Menu Items

Open - Opens a log file for viewing.

Reload - Reloads the current log file. This allows you to quickly update the viewer with any recent log entries that may have occurred while the log was being viewed.

Report - Displays a report for viewing or printing of the current log.

Clear Log - This deletes the log file currently being viewed.

Clear Filter - Removes the filter from the list and displays all log entries.

Filtering

The Log Viewer allows you to filter the log by any item in the grid. When the Log Viewer is opened by right-clicking on the ID List, the log is automatically filtered on the selected ID.

Right-clicking on an individual cell displays the option to filter the log on that particular field.


ID Tracker - Report View

Report Viewer

The Report Viewer allows viewing, preparation, and printing of various reports. From the viewer the user can chose the columns to include, change column alignment and sort the rows.

Menu Items

Copy Report - This copies the contents of the report to the paste buffer as tab delimited text. This is useful for pasting into Excel or other workbooks.

Save As - Save the contents of the report to a file as tab or comma delimited text.

Page Setup - Allows the setting of page size, margins, etc. for printing.

Print - Displays the print dialog for printing.

Print Preview - Displays a print preview of the report.


ID Tracker - Searches

Service and Custom Searches

ID Tracker will track service and custom searches. They are treated as conventional systems and track frequencies only. Frequency information can be edited, audio can be recorded and logged just like any other system.


ID Tracker - I-Call Support

I-Call Support

ID Tracker can track I-Call IDs if they are enabled on the scanner. For the most part they are treated as normal IDs. All I-Call IDs will be displayed at the end of the list in the bank editing screen.

For Motorola Type II systems, all IDs greater than 65535 are considered to be an I-Call ID and are displayed as on the scanner. Example I-Call: 740054

For Motorola Type I and EDACS systems, I-Call IDs are prefixed with a lowercase i. Example I-Call: i00184


ID Tracker - Notes

ID Tracker III Notes

Performance
Command Line Options
Multiple Scanner Support
Using Resume on Identified
Recording
Unit IDs (Radio IDs)
Uniden HP Scanner Support
GRE Scanner Support
Debug Screen
Log File Format
System File Format

Performance

Great care has been taken to limit the amount of CPU time required by ID Tracker. For most systems, the CPU usage should be no greater the a few percent. For best performance, you should use the highest baud rate that your computer and scanner can support.

Command Line Options

Command line options can be used to modify some of the settings for ID Tracker.

Usage: | IDTrack2 | {/INI=<inifile>}
Where: | inifile | = Path to the ID Tracker settings file.

The INI option can be used to support multiple configurations within a single installation of ID Tracker.

Multiple Scanner Support

ID Tracker supports the use of multiple scanners. This can be accomplished using two different methods.

  1. Multiple Program Installations - By installing ID Tracker in separate folders, each installation can be configured for a different scanner.
  2. Separate INI Files - By creating multiple shortcuts with different command line options, a single installation can support multiple scanners.

    Configuration 1: "C:\Program Files\ID Tracker III\IDTrackerIII.exe" /INI=C:\IDTracker\GRE\IDTracker.ini
    Configuration 2: "C:\Program Files\ID Tracker III\IDTrackerIII.exe" /INI=C:\IDTracker\Uniden\IDTracker.ini

    Please note that is you are going to run separate scanners at the same time, each scanner should have it's own set of data files to prevent conflicts.

When running more than one instance of ID Tracker, you can only record one at a time unless you have multiple sound cards installed on your system. When using multiple sound cards you must select the appropriate recording device.

Using Resume on Identified

Resume on Identified feature is useful for discovering new IDs without locking out IDs on the scanner. When this feature is enabled only unidentified IDs will be heard. You want to enable this feature for the desired bank and turning off New ID Alerts.

The feature may also be useful for monitoring systems where all IDs have been identified. Enable Resume on Identified and turn off New ID Alerts. Uncheck the Identified flag for only the IDs that you wish to monitor. Now put the scanner in search mode. This allows you to monitor only selected IDs.

Scanner Labels

ID Tracker will attempt to read the scanner label or tag from the scanner of any ID or frequency that is not currently defined in ID Tracker. If a label or tag contains a frequency, the frequency must have a space following the frequency to distinguish between a tag and the normal scanner display.

Recording

IMPORTANT!! Care should be taken to avoid using all available disk space when recording. Using all disk space can lead to problems with the operating system.

To enable record, you must set the following:

  1. The Recording Device and Sample Rate must be set in the Global Settings screen.
  2. Recording must also be enabled on the Global Settings display or by using the popup menu by right-clicking on the main screen.
  3. The Recording setting for each system to be recorded.

The recording format is 8 bit mono with a default sample rate of 8000 Hz to minimize disk usage. The sample rate can be increased for better audio quality in the Logging / Recording settings. However, increasing the sample rate will increase the audio file size and could affect performance.

The scanner's audio output must be connected to the computer's audio input in order to capture the audio. The connection can be tested by using the Window's Sound Recorder. If you experience problems, check the Windows Mixer record settings.

WAV files are created in the Audio sub-folder of the application folder. Each ID or frequency will be saved to a separate file with the file name formatted as "system-id.wav" where system is the system name and id is the ID or frequency. Examples: Baton Rouge-03216.wav (System: Baton Rouge, ID: 3472) or Amateur Radio-147.2850.wav (System: Amateur Radio, Frequency 147.285)

In addition to the WAV file, an index file is also created in the Audio sub-folder. The index file name is formatted as "system-id.idx". This file is used to record the date, time and length of audio segments. If the index does not appear or does not seem correct, the index file could be missing of corrupt. The problem will not be corrected until the selected audio file and index file is deleted. Any audio recorded after that should appear correctly.

Once an audio file exceeds the maximum recording time, the audio and index files are renamed with a timestamp and new files are started. The file name format is "system-id#yyyymmdd-hhmmss.wav". Example: LATIE-17018#20061111-112639.wav, LATIE-17018#20061111-112639.idx

Unit IDs (Radio IDs)

ID Tracker provides support for tracking and labeling Unit IDs when used with scanners capable of providing Unit IDs. Unit ID labels can be edited from the System Settings screen or the Audio Playback screen. Unit ID label will be displayed in the ID Tracker main screen and in the ID List when the specific radio is active.

Uniden HP Scanner Support

The HP (BCD436HP/BCD536HP) scanners operate differently than the other scanners and require special attention to get the most benefits from ID Tracker. Please use the following guidelines when programming your scanner.

  • When using the System Control window single clicking will display items below the selected group. For example, clicking a Favorite will display all Systems within the selected Favorite. Clicking a System will display all Departments within the selected System.
    Double-clicking will toggle (enable or disable) the selected Favorite, System or Department.
  • Assign unique quick keys to all Favorites, Systems and Departments. This will allow ID Tracker to control Favorites, Systems and Departments from the System Control window.
    • Do not duplicate quick keys for Favorites.
    • Do not duplicate quick keys for Systems within a Favorite list.
    • Do not duplicate quick keys for Departments within a System.

  • System and Site names should be unique within the first 25 characters.

    Not Unique:

    East Baton Rouge Parish - North
    East Baton Rouge Parish - South

    Unique:

    East Baton Rouge Parish North
    East Baton Rouge Parish South
  • Systems with the same name in different favorite lists are treated as the same system.
  • If using Close Call, use "Do Not Disturb" mode. The radio does not correctly report the scanner's status after a Close Call check.

GRE Scanner Support

If you reprogram your GRE scanner, YOU MUST RELOAD the scanner image by checking the Reload GRE Image in the Global Settings dialog in order for ID Tracker III to function properly.

YOU MUST DISABLE THE CCDUMP and DSP COMMS functions of the scanner. If you are using Win500 to program the scanner, these are under the Extended Settings "Dump trunking data to PC/IF" and "Echo DSP comms to PC/IF".

Debug Screen

The debug screen is used to report and diagnose errors. If ID Tracker encounters an error while tracking, the following message will be displayed: "Scanner Error - Press F12 to Debug". Pressing the F12 key on the keyboard will display the debug screen along with any errors encountered. When reporting any problems, these this information should be included.

Log File Format

The log file is a tab delimited ASCII text file which can easily be imported into a database or spreadsheet such as Excel. The signal and GPS location fields are only valid for the BCT15 and BCD996T.

{system name}<tab>{id}<tab>{squelch code}<tab>{date time}<tab>{duration}<tab>{description}<tab>{radio ids}<tab>{hits}<tab>S{signal}<tab>{location}

System File Format

ID/Frequency information for each system is stored in a text file (comma separated) in the Data sub-folder of the application's folder. The data files are named "system.sys" where system is name of the system. The data file contains a header which contains the system type, date the file was last updated, and other system configuration information. String fields (description, comments) which contain commas (,) should be enclosed in quotes.

System Types = | 0 - | Conventional
 | 1 - | Service Search
 | 2 - | Custom Search
 | 3 - | Motorola Type 1
 | 4 - | Motorola Type 2
 | 5 - | EDACS
 | 6 - | LTR
 | 7 - | EDACS SCAT
 | 8 - | Motorola P25
ID Entry Line Format: {id},{flags},{hits},{description},{comments},{color},{site},{ctcss/dcs/nac}
Example File:
$Updated=12/19/2009 4:38:18 PM
$SystemName=LWIN
$SystemType=8
$Conventional=False
$Alert=0
$AutoLoad=False
$Timeout=0
$TimeLockout=False
$ScannerLockout=False
$StatusBit=False
$SkipIdentified=False
$SkipEncrypted=False
$TrackSquelch=False
$SeparateAudio=False
$IDLimitMode=False
$LogMode=7
$MinLogTime=2000
$LogFile=D:\VB.Net\IDTrackerIII\bin\Data\LWIN.log
$RecordMode=0
$SingleAudio=False
!id,flags,hits,description,comments,color,site,CTCSS/DCS
05000,2,0,"Troop A - Dispatch 1","",-16731920,"",
05001,2,0,"Troop A - Dispatch 2","",-16731920,"",
05002,1,0,"Troop A - ?","",-16711936,"",
05003,1,0,"Troop A - ?","",-16711936,"",
05004,2,0,"Troop A - Car to Car","",-16711936,"",
05005,1,0,"Troop A - ?","",-16711936,"",
05006,2,0,"Troop A - Narcotics","Stakeout?",-16711936,"",
...